Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/list_translators.sh
diff options
context:
space:
mode:
Diffstat (limited to 'list_translators.sh')
-rwxr-xr-xlist_translators.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/list_translators.sh b/list_translators.sh
new file mode 100755
index 0000000..0329340
--- /dev/null
+++ b/list_translators.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# usage: tranlators.sh LAST_RELEASE_TAG
+
+if [ ! $# -eq 1 ] ; then
+ echo "usage: $0 LAST_RELEASE_TAG"
+ exit 1;
+fi
+
+cvs diff -r $1 po/ChangeLog | \
+ (awk '/\.po/ { print gensub ("[:,]", "\n", "g", $3); }' | \
+ while read file; do
+ if [ -z "po/$file" ]; then continue; fi
+ echo $(grep "Last-Translator" po/$file | sed -e 's/"Last-Translator: *\(.*\) *<.*/\1/') "(${file%%.po})"
+done) | sort | uniq